GET
Search the public asset catalog

Authorizations

Authorization
string
header
required

Account-bound token for the public API resource.

Scopes

account:read

Read account data.

Headers

Tuyo-API-Version
string
required

Required dated public API contract.

Allowed value: "2026-10-20"
Tuyo-Request-Reason
string

Optional, percent-encoded short explanation of why the request is made (e.g. the end-user goal relayed by an AI agent). Stored for audit; truncated to 2048 characters after decoding.

Query Parameters

query
string
Required string length: 1 - 100
coinGeckoId
string

Exact, case-sensitive CoinGecko asset ID, for example usd-coin or ethereum.

Required string length: 1 - 100
category
enum<string>
Available options:
cash,
stablecoin,
crypto
networkIds
enum<string>[]
Available options:
ethereum,
optimism,
arbitrum,
base,
polygon,
bnb
verified
boolean
includeAccountHoldings
boolean
default:true
first
integer
Required range: 1 <= x <= 100
after
string
Minimum string length: 1

Response

Successful response.

items
object[]
required
page
object
required
meta
object
required